IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_PAYABLE') 
CREATE TABLE T_NOTE_PAYABLE
(
    FID                      BIGINT                   NOT NULL
        PRIMARY KEY,
    FNUMBER                  VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FSTATUS                  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATORID               BIGINT                   NULL,
    FMODIFIERID              BIGINT                   NULL,
    FENABLE                  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATETIME              DATETIME                 NULL,
    FMODIFYTIME              DATETIME                 NULL,
    FMASTERID                BIGINT                   NULL,
    FEBG_ID                  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FVERSION                 BIGINT                   NULL,
    FCUSTOM_ID               VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBANK_VERSION_ID         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBANK_LOGIN_ID           VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBIZ_TYPE                VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FSUB_BIZ_TYPE            VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FIMPL_CLASS_NAME         VARCHAR(255) DEFAULT ' ' NOT NULL,
    FQUERY_IMPL_CLASS_NAME   VARCHAR(255) DEFAULT ' ' NOT NULL,
    FPACKAGE_KEY             VARCHAR(255) DEFAULT ' ' NULL,
    FTOTAL_COUNT             BIGINT                   NULL,
    FTOTAL_AMOUNT            DECIMAL(23, 10)          NULL,
    FBATCH_SEQ_ID            VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FDETAIL_SEQ_ID           VARCHAR(50)  DEFAULT ' ' NULL,
    FDETAIL_BIZ_NO           VARCHAR(50)  DEFAULT ' ' NULL,
    FINSERT_BATCH_SEQ        VARCHAR(50)  DEFAULT ' ' NULL,
    FINSERT_TIME             DATETIME                 NULL,
    FREQUEST_SEQ             VARCHAR(50)  DEFAULT ' ' NULL,
    FREQUEST_TIME            DATETIME                 NULL,
    FUPDATE_TIME             DATETIME                 NULL,
    FUPDATE_BATCH_SEQ        VARCHAR(50)  DEFAULT ' ' NULL,
    FBILL_NO                 VARCHAR(50)  DEFAULT ' ' NULL,
    FAMOUNT                  DECIMAL(23, 10)          NULL,
    FCURRENCY                VARCHAR(10)  DEFAULT ' ' NULL,
    FDRAFT_TYPE              VARCHAR(8)   DEFAULT ' ' NULL,
    FTRANSFER_FLAG           VARCHAR(10)  DEFAULT ' ' NULL,
    FKEEP_FLAG               VARCHAR(10)  DEFAULT ' ' NULL,
    FCONTRACT_NO             VARCHAR(50)  DEFAULT ' ' NULL,
    FINVOICE_NO              VARCHAR(50)  DEFAULT ' ' NULL,
    FCONTRACT_OBJ            VARCHAR(50)  DEFAULT ' ' NULL,
    FAUTO_ACCEPT             VARCHAR(1)   DEFAULT ' ' NULL,
    FAUTO_RECEIVE            VARCHAR(1)   DEFAULT ' ' NULL,
    FBOOKING_DATE            DATETIME                 NULL,
    FDUE_DATE                DATETIME                 NULL,
    FISSUE_DATE              VARCHAR(50)  DEFAULT ' ' NULL,
    FNOTE_STATUS             VARCHAR(10)  DEFAULT ' ' NULL,
    FOTHER_INFO              VARCHAR(50)  DEFAULT ' ' NULL,
    FOPERATION_CODE          VARCHAR(10)  DEFAULT ' ' NULL,
    FOPERATION_NAME          VARCHAR(50)  DEFAULT ' ' NULL,
    FEXPLANATION             VARCHAR(255) DEFAULT ' ' NULL,
    FDRAWER_ACC_NO           VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_ACC_NAME         VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_BANK_CNAPS       VARCHAR(20)  DEFAULT ' ' NULL,
    FDRAWER_BANK_NAME        VARCHAR(255) DEFAULT ' ' NULL,
    FDRAWER_BANK_ADDRESS     VARCHAR(255) DEFAULT ' ' NULL,
    FDRAWER_ACC_COUNTRY      VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_ACC_PROVINCE     VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_ACC_CITY         VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_RATINGS          VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_AGENCY           VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_DUE_DATE         DATETIME                 NULL,
    FACCEPTOR_ACC_NO         VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_ACC_NAME       VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_BANK_CNAPS     VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_BANK_NAME      VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_BANK_ADDRESS   VARCHAR(255) DEFAULT ' ' NULL,
    FACCEPTOR_ACC_COUNTRY    VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_ACC_PROVINCE   VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_ACC_CITY       VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_ACC_NO            VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_ACC_NAME          VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_BANK_NAME         VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_BANK_CNAPS        VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_BANK_ADDRESS      VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_COUNTRY           VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_PROVINCE          VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_CITY              VARCHAR(50)  DEFAULT ' ' NULL,
    FSTATUS_NAME             VARCHAR(50)  DEFAULT ' ' NULL,
    FSTATUS_MSG              VARCHAR(255) DEFAULT ' ' NULL,
    FBANK_STATUS             VARCHAR(50)  DEFAULT ' ' NULL,
    FBANK_MSG                VARCHAR(255) DEFAULT ' ' NULL,
    FERROR_MSG               VARCHAR(50)  DEFAULT ' ' NULL,
    FBAK_STATUS              VARCHAR(50)  DEFAULT ' ' NULL,
    FBAK_STATUS_NAME         VARCHAR(50)  DEFAULT ' ' NULL,
    FBAK_STATUS_MSG          VARCHAR(255) DEFAULT ' ' NULL,
    FBAK_BANK_STATUS         VARCHAR(50)  DEFAULT ' ' NULL,
    FBAK_BANK_MSG            VARCHAR(50)  DEFAULT ' ' NULL,
    FBAK_ERROR_MSG           VARCHAR(255) DEFAULT ' ' NULL,
    FPACKAGE_TIME            DATETIME                 NULL,
    FBANK_BATCH_SEQ_ID       VARCHAR(50)  DEFAULT ' ' NULL,
    FBANK_DETAIL_SEQ_ID      VARCHAR(50)  DEFAULT ' ' NULL,
    FBANK_SERIAL_NO          VARCHAR(50)  DEFAULT ' ' NULL,
    FLAST_SUBMIT_TIME        DATETIME                 NULL,
    FLAST_SUBMIT_REQUEST_SEQ VARCHAR(50)  DEFAULT ' ' NULL,
    FSUBMIT_COUNT            BIGINT                   NULL,
    FSUBMIT_SUCCESS_TIME     DATETIME                 NULL,
    FLAST_SYNC_TIME          DATETIME                 NULL,
    FLAST_SYNC_REQUEST_SEQ   VARCHAR(50)  DEFAULT ' ' NULL,
    FSYNC_COUNT              BIGINT                   NULL,
    FPAY_FINISH_TIME         DATETIME                 NULL,
    FTO_GIVE_UP              VARCHAR(50)  DEFAULT ' ' NULL,
    FOBSSID                  VARCHAR(50)  DEFAULT ' ' NULL,
    FQUERY_TYPE              VARCHAR(50)  DEFAULT ' ' NULL,
    FSEQUENCE                VARCHAR(50)  DEFAULT ' ' NULL,
    FRESERVED1               VARCHAR(50)  DEFAULT ' ' NULL,
    FRESERVED2               VARCHAR(50)  DEFAULT ' ' NULL,
    FRESERVED3               VARCHAR(50)  DEFAULT ' ' NULL,
    FRESERVED4               VARCHAR(50)  DEFAULT ' ' NULL,
    FRQSTSERIALNO            VARCHAR(50)  DEFAULT ' ' NULL,
    FRSPSERIALNO             VARCHAR(50)  DEFAULT ' ' NULL,
    FUPDATE_OPERATION        VARCHAR(50)  DEFAULT ' ' NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_PAYABLE_L') 
CREATE TABLE T_NOTE_PAYABLE_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);

	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_PAYABLE_R3') 	
CREATE TABLE T_NOTE_PAYABLE_R3
(
    FID        BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1)   DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_RECEIVABLE') 	
CREATE TABLE T_NOTE_RECEIVABLE
(
    FID                      BIGINT                   NOT NULL
        PRIMARY KEY,
    FNUMBER                  VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FSTATUS                  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATORID               BIGINT                   NULL,
    FMODIFIERID              BIGINT                   NULL,
    FENABLE                  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATETIME              DATETIME                 NULL,
    FMODIFYTIME              DATETIME                 NULL,
    FMASTERID                BIGINT                   NULL,
    FEBG_ID                  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FVERSION                 BIGINT                   NULL,
    FCUSTOM_ID               VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBANK_VERSION_ID         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBANK_LOGIN_ID           VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBIZ_TYPE                VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FSUB_BIZ_TYPE            VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FIMPL_CLASS_NAME         VARCHAR(255) DEFAULT ' ' NOT NULL,
    FQUERY_IMPL_CLASS_NAME   VARCHAR(255) DEFAULT ' ' NOT NULL,
    FPACKAGE_KEY             VARCHAR(50)  DEFAULT ' ' NULL,
    FTOTAL_COUNT             BIGINT                   NULL,
    FTOTAL_AMOUNT            DECIMAL(23, 10)          NULL,
    FBATCH_SEQ_ID            VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FDETAIL_SEQ_ID           VARCHAR(50)  DEFAULT ' ' NULL,
    FDETAIL_BIZ_NO           VARCHAR(50)  DEFAULT ' ' NULL,
    FINSERT_TIME             DATETIME                 NULL,
    FREQUEST_SEQ             VARCHAR(50)  DEFAULT ' ' NULL,
    FREQUEST_TIME            DATETIME                 NULL,
    FUPDATE_TIME             DATETIME                 NULL,
    FUPDATE_BATCH_SEQ        VARCHAR(50)  DEFAULT ' ' NULL,
    FUPDATE_OPERATION        VARCHAR(50)  DEFAULT ' ' NULL,
    FBILL_NO                 VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FRATE_TYPE               VARCHAR(50)  DEFAULT ' ' NULL,
    FDISCOUNT_RATE           VARCHAR(50)  DEFAULT ' ' NULL,
    FDISCOUNT_AMOUNT         DECIMAL(23, 10)          NULL,
    FLOAN_AMOUNT             DECIMAL(23, 10)          NULL,
    FOTHER_INFO              VARCHAR(50)  DEFAULT ' ' NULL,
    FOPERATION_CODE          VARCHAR(50)  DEFAULT ' ' NULL,
    FOPERATION_NAME          VARCHAR(50)  DEFAULT ' ' NULL,
    FAMOUNT                  DECIMAL(23, 10)          NOT NULL,
    FCURRENCY                VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAFT_TYPE              VARCHAR(10)  DEFAULT ' ' NOT NULL,
    FTRANSFER_FLAG           VARCHAR(50)  DEFAULT ' ' NULL,
    FKEEP_FLAG               VARCHAR(50)  DEFAULT ' ' NULL,
    FCONTRACT_NO             VARCHAR(50)  DEFAULT ' ' NULL,
    FBOOKING_DATE            DATETIME                 NULL,
    FDUE_DATE                DATETIME                 NULL,
    FISSUE_DATE              DATETIME                 NULL,
    FNOTE_STATUS             VARCHAR(50)  DEFAULT ' ' NULL,
    FEXPLANATION             VARCHAR(255) DEFAULT ' ' NULL,
    FDRAWER_ACC_NO           VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_ACC_NAME         VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_BANK_CNAPS       VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_BANK_NAME        VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_BANK_ADDRESS     VARCHAR(255) DEFAULT ' ' NULL,
    FDRAWER_ACC_COUNTRYS     VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_ACC_PROVINCE     VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_ACC_CITY         VARCHAR(50)  DEFAULT ' ' NULL,
    FINSERT_BATCH_SEQ        VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_RATINGS          VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_AGENCY           VARCHAR(50)  DEFAULT ' ' NULL,
    FTEXTFIELD               VARCHAR(50)  DEFAULT ' ' NULL,
    FDRAWER_DUE_DATE         DATETIME                 NULL,
    FACCEPTOR_ACC_NO         VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_ACC_NAME       VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_BANK_CNAPS     VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_BANK_NAME      VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_BANK_ADDRESS   VARCHAR(255) DEFAULT ' ' NULL,
    FACCEPTOR_ACC_COUNTRY    VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_ACC_PROVINCE   VARCHAR(50)  DEFAULT ' ' NULL,
    FACCEPTOR_ACC_CITY       VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_ACC_NO            VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_ACC_NAME          VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_BANK_NAME         VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_BANK_CNAPS        VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_BANK_ADDRESS      VARCHAR(255) DEFAULT ' ' NULL,
    FPAYEE_COUNTRY           VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_PROVINCE          VARCHAR(50)  DEFAULT ' ' NULL,
    FPAYEE_CITY              VARCHAR(50)  DEFAULT ' ' NULL,
    FBANK_REF_KEY            VARCHAR(50)  DEFAULT ' ' NULL,
    FPAY_AGENCY              VARCHAR(50)  DEFAULT ' ' NULL,
    FREDEMPTION_S_DATE       DATETIME                 NULL,
    FREDEMPTION_E_DATE       DATETIME                 NULL,
    FDIS_RED_RATE            VARCHAR(50)  DEFAULT ' ' NULL,
    FINCREASE_RATE           VARCHAR(50)  DEFAULT ' ' NULL,
    FADD_DAY                 VARCHAR(50)  DEFAULT ' ' NULL,
    FSTATUS_NAME             VARCHAR(50)  DEFAULT ' ' NULL,
    FSTATUS_MSG              VARCHAR(255) DEFAULT ' ' NULL,
    FBANK_STATUS             VARCHAR(50)  DEFAULT ' ' NULL,
    FBANK_MSG                VARCHAR(255) DEFAULT ' ' NULL,
    FERROR_MSG               VARCHAR(255) DEFAULT ' ' NULL,
    FBAK_STATUS              VARCHAR(50)  DEFAULT ' ' NULL,
    FBAK_STATUS_NAME         VARCHAR(50)  DEFAULT ' ' NULL,
    FBAK_STATUS_MSG          VARCHAR(255) DEFAULT ' ' NULL,
    FBAK_BANK_STATUS         VARCHAR(50)  DEFAULT ' ' NULL,
    FBAK_BANK_MSG            VARCHAR(255) DEFAULT ' ' NULL,
    FBAK_ERROR_MSG           VARCHAR(255) DEFAULT ' ' NULL,
    FPACKAGE_TIME            DATETIME                 NULL,
    FBANK_BATCH_SEQ_ID       VARCHAR(50)  DEFAULT ' ' NULL,
    FBANK_DETAIL_SEQ_ID      VARCHAR(50)  DEFAULT ' ' NULL,
    FBANK_SERIAL_NO          VARCHAR(50)  DEFAULT ' ' NULL,
    FLAST_SUBMIT_TIME        DATETIME                 NULL,
    FLAST_SUBMIT_REQUEST_SEQ VARCHAR(50)  DEFAULT ' ' NULL,
    FSUBMIT_COUNT            BIGINT                   NULL,
    FSUBMIT_SUCCESS_TIME     DATETIME                 NULL,
    FLAST_SYNC_TIME          DATETIME                 NULL,
    FLAST_SYNC_REQUEST_SEQ   VARCHAR(50)  DEFAULT ' ' NULL,
    FSYNC_COUNT              BIGINT                   NULL,
    FPAY_FINISH_TIME         DATETIME                 NULL,
    FTEXTFIELD1              VARCHAR(50)  DEFAULT ' ' NULL,
    FIMPA_TYPE               VARCHAR(50)  DEFAULT ' ' NULL,
    FOBSSID                  VARCHAR(50)  DEFAULT ' ' NULL,
    FQUERY_TYPE              VARCHAR(50)  DEFAULT ' ' NULL,
    FSEQUENCE                VARCHAR(50)  DEFAULT ' ' NULL,
    FRESERVED1               VARCHAR(50)  DEFAULT ' ' NULL,
    FRESERVED2               VARCHAR(50)  DEFAULT ' ' NULL,
    FRESERVED3               VARCHAR(50)  DEFAULT ' ' NULL,
    FRESERVED4               VARCHAR(50)  DEFAULT ' ' NULL,
    FDISCOUNT_TYPE           VARCHAR(50)  DEFAULT ' ' NULL,
    FDISCOUNT_ACCNO          VARCHAR(50)  DEFAULT ' ' NULL,
    FDISCOUNT_ACCNAME        VARCHAR(50)  DEFAULT ' ' NULL,
    FBANK_REF_DATE           VARCHAR(50)  DEFAULT ' ' NULL,
    FRQSTSERIALNO            VARCHAR(50)  DEFAULT ' ' NULL,
    FRSPSERIALNO             VARCHAR(50)  DEFAULT ' ' NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_RECEIVABLE_L') 	
CREATE TABLE T_NOTE_RECEIVABLE_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_RECEIVABLE_R3') 
CREATE TABLE T_NOTE_RECEIVABLE_R3
(
    FID        BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1)   DEFAULT '0' NOT NULL
);







